Skip to main content

createAstCustomRule

Create a custom AST V2 rule

createAstCustomRule(
input: CreateAstCustomRuleInput!
): CreateAstCustomRulePayload

Arguments​

createAstCustomRule.input ● CreateAstCustomRuleInput! non-null input​

Parameters for CreateAstCustomRule

Type​

CreateAstCustomRulePayload object​

Autogenerated return type of CreateAstCustomRule.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateAstCustomRule($input: CreateAstCustomRuleInput!) {\n createAstCustomRule(input: $input) { clientMutationId errors rule }\n}","variables":{"input":{"companyId":"<company_id>","id":"example","languages":["example"],"message":"example","severity":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute